
_main:

;Test.c,33 :: 		void main() {
;Test.c,35 :: 		ANSEL  = 0;                                      // Configure AN pins as digital
	CLRF       ANSEL+0
;Test.c,36 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;Test.c,37 :: 		C1ON_bit = 0;                    // Disable comparators
	BCF        C1ON_bit+0, 7
;Test.c,38 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;Test.c,39 :: 		TRISB = 0;
	CLRF       TRISB+0
;Test.c,40 :: 		TRISC = 0;                       // configure pins as input
	CLRF       TRISC+0
;Test.c,42 :: 		Glcd_Init();             // Initialize GLCD
	CALL       _Glcd_Init+0
;Test.c,43 :: 		BackLight = 1;
	BSF        RB3_bit+0, 3
;Test.c,45 :: 		do {
L_main0:
;Test.c,46 :: 		Glcd_Fill(0x00);         // Clear GLCD
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;Test.c,47 :: 		Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
	MOVLW      _Font_Glcd_Character8x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      8
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;Test.c,48 :: 		Glcd_Write_Text("HELLO WORLD!", 12, 3, 1);
	MOVLW      ?lstr1_Test+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      12
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      3
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;Test.c,49 :: 		Glcd_Set_Font(Font_Glcd_5x7, 5, 7, 32);
	MOVLW      _Font_Glcd_5x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_5x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      5
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;Test.c,50 :: 		Glcd_Write_Text("www.embedded-lab.com", 4, 6, 1);
	MOVLW      ?lstr2_Test+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      4
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      6
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;Test.c,51 :: 		Delay_ms(2000);
	MOVLW      51
	MOVWF      R11+0
	MOVLW      187
	MOVWF      R12+0
	MOVLW      223
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
	NOP
;Test.c,52 :: 		Glcd_Fill(0xFF);         // Fill all 1s
	MOVLW      255
	MOVWF      FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;Test.c,53 :: 		Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
	MOVLW      _Font_Glcd_Character8x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      8
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;Test.c,54 :: 		Glcd_Write_Text("HELLO WORLD!", 12, 3, 0);  // Invert color
	MOVLW      ?lstr3_Test+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      12
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      3
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	CLRF       FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;Test.c,55 :: 		Glcd_Set_Font(Font_Glcd_5x7, 5, 7, 32);
	MOVLW      _Font_Glcd_5x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_5x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      5
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;Test.c,56 :: 		Glcd_Write_Text("www.embedded-lab.com", 4, 6, 0);
	MOVLW      ?lstr4_Test+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      4
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      6
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	CLRF       FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;Test.c,57 :: 		Delay_ms(2000);
	MOVLW      51
	MOVWF      R11+0
	MOVLW      187
	MOVWF      R12+0
	MOVLW      223
	MOVWF      R13+0
L_main4:
	DECFSZ     R13+0, 1
	GOTO       L_main4
	DECFSZ     R12+0, 1
	GOTO       L_main4
	DECFSZ     R11+0, 1
	GOTO       L_main4
	NOP
	NOP
;Test.c,59 :: 		}while(1);
	GOTO       L_main0
;Test.c,60 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
